Show / Hide Table of Contents

# Class OpenIddictCoreOptions

Provides various settings needed to configure the OpenIddict core services.

##### Inheritance

System.Object
OpenIddictCoreOptions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Core

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictCoreOptions

### Properties

#### DefaultApplicationType

Gets or sets the type corresponding to the default Application entity, used by the non-generic application manager and the server/validation services.

##### Declaration

    public Type DefaultApplicationType { get; set; }

##### Property Value

Type | Description
--- | ---
System.Type |

#### DefaultAuthorizationType

Gets or sets the type corresponding to the default Authorization entity, used by the non-generic authorization manager and the server/validation services.

##### Declaration

    public Type DefaultAuthorizationType { get; set; }

##### Property Value

Type | Description
--- | ---
System.Type |

#### DefaultScopeType

Gets or sets the type corresponding to the default Scope entity, used by the non-generic scope manager and the server/validation services.

##### Declaration

    public Type DefaultScopeType { get; set; }

##### Property Value

Type | Description
--- | ---
System.Type |

#### DefaultTokenType

Gets or sets the type corresponding to the default Token entity, used by the non-generic token manager and the server/validation services.

##### Declaration

    public Type DefaultTokenType { get; set; }

##### Property Value

Type | Description
--- | ---
System.Type |

#### DisableAdditionalFiltering

Gets or sets a boolean indicating whether additional filtering should be disabled, so that the OpenIddict managers don't execute a second check to ensure the results returned by the stores exactly match the specified query filters, casing included. This property SHOULD NOT be set to `true` except when the underlying stores are guaranteed to execute case-sensitive filtering at the database level. Disabling this feature MAY result in security vulnerabilities in the other cases.

##### Declaration

    public bool DisableAdditionalFiltering { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### DisableEntityCaching

Gets or sets a boolean indicating whether entity caching should be disabled. Disabling entity caching may have a noticeable impact on the performance of your application and result in multiple queries being sent by the stores.

##### Declaration

    public bool DisableEntityCaching { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### EntityCacheLimit

Gets or sets the maximum number of cached entries allowed. When the threshold is reached, the cache is automatically compacted to ensure it doesn't grow abnormally and doesn't cause a memory starvation or out-of-memory exceptions. This property is not used when DisableEntityCaching is `true`.

##### Declaration

    public int EntityCacheLimit { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |